package com.xisc.pm.infra.enums;

/**
 * 组板产品标记
 * 
 * @author jun.zeng
 *
 */
public enum PdProdFlag {

    SMALL_POS_VIRTUAL_SLAB(11L, "余材板坯小板"), STOCK_ROLL_PLATE(10L, "叠轧板"), COMPOSITE_PLATE(9L, "复合板"), BLOOM(8L, "钢锭"), ACTUAL_SUB_SLAB(7L, "真实子板"),
    ACTUAL_COMPOSITE_SLAB(6L, "真实组合板"), ACTUAL_SLAB(5L, "真实板坯"), VIRTUAL_BACKUP_SLAB(4L, "虚拟外卖坯"),
    VIRTUAL_TAKEAWAY_SLAB(3L, "虚拟外卖坯"), VIRTUAL_SUB_SLAB(2L, "虚拟子板"), VIRTUAL_COMPOSITE_SLAB(1L, "虚拟组合板"),
    VIRTUAL_SLAB(0L, "虚拟板坯");

    final private Long code;

    final private String desc;

    private PdProdFlag(Long code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Long getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
